Bug 219807 - gnome-panel gives error about "Null-Applet" when logging in
gnome-panel gives error about "Null-Applet" when logging in
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-applets (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-15 10:54 EST by Ken Reilly
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 10:17:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 395035 None None None Never

  None (edit)
Description Ken Reilly 2006-12-15 10:54:01 EST
I just did a fresh upgrade from Beta2 to snapshot 3 and after rebooting and
logging in I was confronted with a dialog saying:

An error occurred while loading or saving configuration information for
Null-Applet. Some of your configuration settings may not work properly.

It had a "Details..." button, too, that provided more information:

Bad key or directory name: "0x9a073f8/bonobo_iid": Must begin with a slash (/)
Bad key or directory name: "0x9a073d0/bonobo_iid": Must begin with a slash (/)
Bad key or directory name: "0x9a076f8/bonobo_iid": Must begin with a slash (/)
Bad key or directory name: "0x9a076d0/bonobo_iid": Must begin with a slash (/)
Bad key or directory name: "0x9a076b0/bonobo_iid": Must begin with a slash (/)
Bad key or directory name: "0x9a07570/bonobo_iid": Must begin with a slash (/)
Bad key or directory name: "0x9a07540/bonobo_iid": Must begin with a slash (/)
Bad key or directory name: "0x9a07bd8/bonobo_iid": Must begin with a slash (/)
Bad key or directory name: "0x9a07650/bonobo_iid": Must begin with a slash (/)
Bad key or directory name: "0x99ec620/bonobo_iid": Must begin with a slash (/)

This now happens every time I log in.
Comment 1 Ray Strode [halfline] 2006-12-15 15:41:59 EST
pretty nasty bug, we should get this fixed before GA.

devack.
Comment 2 Ray Strode [halfline] 2006-12-15 17:14:33 EST
This is actually a problem with the null applet.  

1) the dialog was intentional, but not what we want from a distribution point of
view

2) the code had a tiny mistake in it (used %p instead of %s in a format string)

Comment 4 Ray Strode [halfline] 2006-12-15 17:29:33 EST
should be fixed in gnome-applets-2.16.0.1-19.el5
Comment 6 Ken Reilly 2006-12-15 18:24:17 EST
I just tested the gnome-applets-2.16.0.1-19.el5 package and it fixes the problem. 
Comment 7 Zack Cerza 2006-12-18 16:34:23 EST
Thanks Ken. Putting into VERIFIED.
Comment 8 Jay Turner 2006-12-19 10:17:32 EST
gnome-applets-2.16.0.1-19.el5 included in 20061218.1 trees.

Note You need to log in before you can comment on or make changes to this bug.